curl --request GET \
--url https://api-global.fastpaybrasil.com/v1/payout-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-global.fastpaybrasil.com/v1/payout-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-global.fastpaybrasil.com/v1/payout-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "2vorkDcXyvzifL63YX09S9VqcnI",
"merchantId": "36OO3bcGjhPjjF3tzrqOGcmQuKo",
"amount": 100,
"currency": "BRL",
"payoutFee": 1,
"netAmount": 99,
"status": "pending",
"externalAccountDetails": {
"type": "pix",
"pixKey": "12345678000199"
},
"rejectionReason": null,
"processedAt": null,
"createdAt": "2025-12-04T18:45:52.988Z",
"updatedAt": "2025-12-04T18:45:52.988Z",
"merchantLegalName": "ACME PAGAMENTOS LTDA",
"merchantEmail": "[email protected]"
}
],
"page": 1,
"pages": 10,
"total": 100,
"size": 10,
"pendingCount": 3
}{
"statusCode": 401,
"message": "Unauthorized"
}{
"statusCode": 403,
"message": "Forbidden"
}{
"statusCode": 500,
"message": "Internal server error"
}List payout requests
Lists all payout requests with support for filters and pagination.
Authorizations
JWT Bearer token authentication. Use the JWT token obtained from the login endpoint in the Authorization header as 'Bearer {token}'.
Query Parameters
Filter by submerchant ID
"36OO3bcGjhPjjF3tzrqOGcmQuKo"
Filter by request status
pending, approved, rejected, processing "pending"
Filter by currency
"BRL"
Data inicial (inclusiva) do filtro por created_at
"2025-12-01"
Data final (inclusiva) do filtro por created_at
"2025-12-31"
Page number (starts at 1)
1
Number of items per page
20
Order results by fields (comma-separated). Prefix with - for descending order.
"createdAt,-amount"
Response
Successfully retrieved the list of payout requests
Array of payout requests in the current page
Show child attributes
Show child attributes
Current page number
1
Total number of pages available
10
Total number of payout requests across all pages
100
Number of payout requests per page
10
Total number of payout requests in pending status (across all pages).
3